<svelte:options
	customElement={{
		tag: 'eve-input',
		shadow: 'open'
	}}
/>

<script lang="ts">
	let {
		label,
		value = $bindable(),
		...others
	}: {
		label: string;
		value?: string;
		[key: string]: any;
	} = $props();
</script>

<fieldset class="fieldset form-control rounded-box w-full border p-4">
	<legend class="fieldset-legend font-medium badge">{label}</legend>
	<input class="input input-bordered w-full" bind:value {...others} />
	<slot />
</fieldset>
